mav_deviceNew(3)

NAME
mav_deviceNew - Register a new input device.

LEVEL
Maverik Level 3

SYNTAX
void mav_deviceNew(MAV_devicePollFn dpfn, MAV_deviceCalcFn dcfn, MAV_deviceEventFn defn);

ARGUMENTS

MAV_devicePollFn dpfn
    Function to poll device to obtain raw device data.

MAV_deviceCalcFn dcfn
    Function to map device coordinates into world coordinates.

MAV_deviceEventFn defn
    Function to handle events.

DESCRIPTION
This function registers a new input device.